package main

import (
	"flag"
	"golang.org/x/net/webdav"
	"log"
	"net/http"
)

func main() {
	address := flag.String("a", "localhost:8080", "Address to listen to.")
	flag.Parse()

	handler := &webdav.Handler{}
	handler.FileSystem = webdav.Dir(".")
	handler.LockSystem = webdav.NewMemLS()

	log.Println("Listening on", *address)
	http.ListenAndServe(*address, handler)
}
